<?php
require_once("include.php");

$channels = $store->getAllChannels();
$files = $store->getAllFiles();

if (isset($_GET['i'])) {
	$channel = $channels[$_GET['i']];
	$channelID = $_GET['i'];

	if ( isset($channel['RequireLogin']) && $channel['RequireLogin'] == true ) {
		requireUserAccess(true);
	}
} 
else {
	header('Location: ' . get_base_url() . 'index.php');
	exit;
}


$channel_files = $channel["Files"];
usort($channel_files, "comp");

front_header($channel["Name"],$channelID,$channel["CSSURL"], get_base_url() . "rss.php?i=" . $_GET["i"]);

if ($channel['Options']['Keywords'] == "1") {
	if (isset($_GET['kw'])) {
?>



	<div id="show_all"><a href="library.php?i=<?php echo $channelID; ?>">Show All Videos</a></div>

<?php

		}

?>

  <div id="tags_list">
  <div id="tags_title">Tags:</div>

  <!-- show up 8 most popular tags -->
  <ul>
 <?

		$keywords = array();

		foreach ($channel_files as $filehash) {

			if ($filehash[1] <= time()) {

				foreach ($files[$filehash[0]]["Keywords"] as $words) {

					if (!array_key_exists($words,$keywords)) {

						$keywords[$words] = 0;

					}

					$keywords[$words]++;

				}

			}

		}

		arsort($keywords);

		reset($keywords);

		$i = 0;

		foreach ($keywords as $words => $count) {

			print("<li><a href=\"library.php?i=" . $channelID . "&kw=" . urlencode($words) . "\">" . $words . "</a> (" . $count . ")</li> ");

			$i++;

			if ($i == 8) {

				break;

			}

		}

?>

	</ul>

   </ul>

<div class="spacer">&nbsp;</div>

  </div> <!-- tags list -->

<?php

	}

?>







  <div id="video_zone">





<?php

	if (isset($_GET['kw'])) {

?>

	<div class="video_section">





    <h3 class="section_name">Files Matching &quot;<?php echo $_GET['kw']; ?>&quot;</h3>



		<ul>

			<?php

				foreach ($channel_files as $filehash) {

					$filehash = $filehash[0];

					$file = $files[$filehash];

					foreach ($file["Keywords"] as $words) {

						if ($words == $_GET['kw']) {

							display_video($filehash, $file);

						}

					}

				}

			?>

		</ul>

	<div class="spacer_left">&nbsp;</div>

 	</div>

<?php

	} else {

		foreach ($channel['Sections'] as $section) {

			if (count($section["Files"]) > 0) {

				print("<div class=\"video_section\"><h3 class=\"section_name\">" . $section["Name"] . "</h3><ul>");

				foreach ($section["Files"] as $filehash) {

					display_video($filehash, $files[$filehash]);

				}

				print("</ul><div class=\"spacer_left\">&nbsp;</div></div>");

			}

		}

		print("<div class=\"video_section\"><h3 class=\"section_name\">All Files</h3><ul>");

		foreach ($channel_files as $filehash) {

			display_video($filehash[0], $files[$filehash[0]]);

		}

		print("</ul><div class=\"spacer_left\">&nbsp;</div></div>");

	}

	print("</div>");



	front_footer($channelID);

?>