<?php

	require_once("include.php");

	if(!isset($_GET["i"]) || !isset($_GET["c"])) {
		header('Location: ' . get_base_url() . "index.php" );
		exit;
	}

	$channels = $store->getAllChannels();
	$channel = $channels[$_GET["c"]];

	$files = $store->getAllFiles();
	$file = $files[$_GET['i']];

	front_header($channel["Name"],$_GET["c"],$channel["CSSURL"], get_base_url() . "rss.php?i=" . $_GET["c"]);
?>

<div id="show_all"><a href="library.php?i=<?php echo $_GET["c"];  ?>">Show All Videos</a></div>
<div class="spacer">&nbsp;</div>
<div id="video_zone">

  <div class="single_video">

<?php
	// bug #1223713  - make sure we actually pay attention to the channel display settings

	if ( isset($channel['Options']['Thumbnail']) && $channel['Options']['Thumbnail'] == 1) {
?>
    <div class="thumb_wrap">
          <div class="thumbnail"><?php
				print("<img src=\"");

		  		if ($file['Image'] == '' || ! $channel['Options']['Thumbnail']) {
		  			print("t.gif");
		  		} 
				else {
		  			print($file['Image']);
		  		}

				print("\" width=\"180\"/>");
			?></div>
<?php
}
else {
	print "<div>";
}
?>
			<div class="dl_links">Get it: <a href="download.php?c=<?php echo $channel["ID"]; ?>&i=<?php echo $_GET['i']; ?>">download</a></div>
</div>

<div class="video_info">
<?php

	if ( isset($channel['Options']['Title']) && $channel['Options']['Title'] == 1) {
		print("<div class=\"video_title\">" . $file["Title"] . "</div>");
	}

	if (isset($channel['Options']['Creator']) && $channel['Options']['Creator'] == 1 && $file["Creator"]) {
		print("<div class=\"creator_name\">by " . $file["Creator"] . "</div>");
	}

	if ( isset($channel['Options']['Desc']) && $channel['Options']['Desc'] == 1) {
		print("<div class=\"video_description\">" . str_replace("\n","<br/>",$file["Desc"]) . "</div>");
	}

	if ( isset($channel['Options']['Length']) && $channel['Options']['Length'] == 1) {
		print("<div class=\"video_stats\">");
		print("<div class=\"published_date\">Posted " . date("F j, Y", $file["Publishdate"]) . " - </div>");
		if (($file["RuntimeHours"] || $file["RuntimeMinutes"] || $file["RuntimeSeconds"])) {
			$runtime = "";
	
			if ($file["RuntimeHours"] != "") {	
				$runtime .= $file["RuntimeHours"] . " hr. ";
			}
		
			if ($file["RuntimeMinutes"] != "") {
				$runtime .= $file["RuntimeMinutes"] . " min. ";
			}
	
			if ($file["RuntimeSeconds"] != "") {
				$runtime .= $file["RuntimeSeconds"] . " sec. ";
			}
	
			if ($runtime != "") {
				print("<div class=\"duration\">" . $runtime . "</div>");
			}
		}
	}

	// cjm - fixed a typo error here (06/03/2005)
	if ($file["LicenseName"] && isset($file["LicenseURL"])) {

		print("<div class=\"license\">License: <a href=\"" . $file["LicenseURL"] . "\" target=\"_blank\">" . $file["LicenseName"] . "</a></div>");

	}

	//
	// if this is a torrent, then display the seeder/downloader info here
	//

	if ( isset($channel['Options']['Torrent']) && $channel['Options']['Torrent'] == 1 && is_local_torrent($file["URL"]) ) {
		$return_url = "detail.php?c=" . $_GET["c"] . "&i=" . $_GET["i"] ;
		displayTorrentInfo($file["URL"], $_GET["i"], $return_url );
	}


	if ( isset($channel['Options']['Filesize']) && $channel['Options']['Filesize'] == 1 ) {
		$size = get_filesize($file["URL"]);
		if ( $size ) {
			 $size /= 1024;
			 if ( $size < 1024 ) {
			 	$size = sprintf("%0.0f KB", $size);
			 }
			 else {
			 	$size /= 1024;
			 	$size = sprintf("%0.0f MB", $size);
			 }

			print "<div class=\"file_size\">Size: " . $size . "</div>";
		}
	}

?>

</div>


<?php
	if ( isset($channel['Options']['Published']) && $channel['Options']['Published'] == 1 ) {
?>
<div class="production_details">

		<?php

			if ($file["ReleaseYear"] || $file["ReleaseMonth"] || $file["ReleaseDay"]) {

				print("<div class=\"release_date\">Release Date: ");

				if ($file["ReleaseMonth"]) {

					print(date("F", strtotime($file["ReleaseMonth"] + 1 . "/1/1999")));

				}

				if ($file["ReleaseDay"]) {

					print(" " . $file["ReleaseDay"]);

				}

				if ($file["ReleaseMonth"] || $file["ReleaseDay"]) {

					print(", ");

				}

				print($file["ReleaseYear"] . "</div>");

			}

			if ($file["Webpage"]) {

				print("<div class=\"associated_website\"><a href=\"" . $file["Webpage"] . "\">Related Webpage</a></div>");

			}

			if ($file["People"]) {

				print("<div class=\"people_involved\">");

				$i = 0;

				foreach ($file["People"] as $people) {

					if ($people[0] != '') {

						if ($i != 0) {

							print("<br/>");

						}

						print($people[1] . ": " . $people[0]);

						$i++;

					}

				}

				print("</div>");

			}

		?>

</div>
<?
}
?>

<?php


	if ( isset($channel['Options']['Published']) && $channel['Options']['Published'] == 1 && $file["Keywords"] ) {

		print("<div class=\"tags\"><strong>Tags:</strong> ");

		$i = 0;

		foreach ($file["Keywords"] as $keyword) {

			if ($i > 0) {

				print(", ");

			}

			$i++;

			print($keyword);

		}

		print("</div>");

	}



	if ($file["Explicit"]) {

		print("<div class=\"explicit_content\">Contains Explicit Content</div>");

	}

?>



</div>

</div>





<div class="spacer_left">&nbsp;</div>

<?php
	front_footer($_GET["c"]);
?>